@import 'global/color.global';
@import 'global/fonts.global';
@import 'global/setting.global';
@import 'component/button.component';

body{
    background: $primary;
    padding: 0;
    margin: 0;
}

.welcomes{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
    text-align: center;
    z-index: 2;
    @media only screen and (max-width: 600px) {
        display: none;
    }
        img{
            width: 0px;
            height: 0;
            animation-name: ghost;
            animation-duration: 1s;
            animation-iteration-count: 1;
        }
}

@keyframes ghost{
    0%{width: 0;height: 0; opacity: 0;}
    50%{width: 800px;height: 700px;opacity: 0.5;}
    70%{width: 800px;height: 700px;opacity: 1;}
    90%{width: 800px;height: 700px;opacity: 0.5;}
    100%{width: 0px;height: 0px;opacity: 0;display: none}
}

// flex-display
.d-flex{
    display: flex;
}

.d-flex.justify-arround{
    justify-content: space-around;
}

// header-content

.jakmall-header{
    // min-height: 250px;
    padding: 50px 25px;
    // background: green;
    text-align: center;
    font-family: $fonts;
        h1{
            font-size: 4rem;
            color: white;
            @media only screen and (max-width: 600px) {
                font-size: 2rem;
            }
        }
        img{
            width: 35%;
            @media only screen and (max-width: 600px) {
                width: 55%;
            }
        }
}

// event-description
.event-description{
    margin: 45px 0;
    display: flex;
    justify-content: space-around;
    flex-direction: row;
    padding: 75px 0;
    background: #e3b106;
    @media only screen and (max-width: 600px) {
        flex-direction: column;
        padding: 30px 0;
    }
        .isi{
            display: flex;
            flex-direction: row;
            @media only screen and (max-width: 600px) {
                flex-direction: column;
            }
        }
        
}

.left-panel{
    margin: auto;
}

.right-panel{
    padding: 0 25px;
    width: 400px;
    @media only screen and (max-width: 600px) {
        padding: 0;
        width: 100%;
    }
        .title{
            display: flex;
            justify-content: space-between;
            flex-direction: row;
            text-align: center;
            @media only screen and (max-width: 600px) {
                flex-direction: column-reverse;
            }
            h2{
                margin: 0;
                font-family: $roboto;
                font-size: 2rem;
            }
        }
        h5{
            margin: 10px 0;
            font-family: $roboto;
            font-size: 1.2rem;
            @media only screen and (max-width: 600px) {
                padding: 0 40px;
            }
        }
        p{
            font-family: $roboto;
            @media only screen and (max-width: 600px) {
                padding: 0 40px;
            }
        }
}

// etalase
.jakmall-display{
    background: white;
    border-radius: 10px;
    position: relative;
    padding: 50px 25px;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin: 50px 0;
    @media only screen and (max-width: 600px) {
        padding: 25px 5px;
        margin: 25px 0;
    }
}

.tab-menu{
    display: flex;
    position: absolute;
    padding: 0;
    top: -45px;
    left: 75px;
    @media only screen and (max-width: 600px) {
        left: 10px;
        top: -40px;
    }
        .menu-list{
            background: white;
            list-style-type: none;
            padding: 5px 15px;
            font-weight: 600;
            font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
            cursor: pointer;
            transition: all ease-in-out 0.5s;
            border-radius: 7px 7px 0 0;
            @media only screen and (max-width: 600px) {
                font-size: 0.9rem;
            }
        }
}


.menu-list:hover{
    background: #e9e9e9
}

.display-list{
    width: 235px;
    min-height: 75px;
    border: 1px solid #9d9d9d;
    border-radius: 5px;
    margin: 5px 15px;
    padding: 10px;
    @media only screen and (max-width: 600px) {
        width: 115px;
        margin: 5px 10px;
    }
    @media only screen and (max-width: 320px) {
        width: 95px;
        margin: 5px 10px;
    }
        .prod-names, .prod-price{
            text-align: center;
            font-family: $roboto;
        }
        .prod-names{
            font-weight: 600;
            font-size: 1.4rem;
            @media only screen and (max-width: 600px) {
                font-size: 1rem;
            }
        }
        .prod-price{
            font-size: 0.8rem;
        }
}

.prod-pics{
    width: 100%;
        img{
            width: 100%;
        }
}

// button-custom

.btn{
    width: 100%;
    padding: 15px 0;
    margin: 5px 0;
    font-weight: 600;
    border: 0;
    border-radius: 5px;
    cursor: pointer;
    @media only screen and (max-width: 600px) {
        padding: 10px 0;
    }
}
.btn.order-btn{
    color: white;
    background: $primary;
}

.btn.order-btn:hover{
    background: #e3b106;
}

.fb-button{
    height: 25px;
    margin: auto 0;
    background: #3772dd;
    color: white;
    @media only screen and (max-width: 600px) {
        margin: 0 35px;
    }
}